// don't forget <meta name="viewport" content="width=device-width, initial-scale=1">

$phone-width: 320px;
$tablet-width: 640px;
$small-desktop-width: 1024px;
$desktop-width: 1440px;
$large-desktop-width: 1920px;


@mixin phone {
    @media (max-width: #{$tablet-width - 1px}) {
        @content;
    }
}

@mixin tablet {
    @media (max-width: #{$small-desktop-width - 1px}) {
        @content;
    }
}

@mixin only-tablet {
    @media (min-width: #{$tablet-width}) and (max-width: #{$small-desktop-width - 1px}) {
        @content;
    }
}

@mixin small-desktop {
    @media (max-width: #{$desktop-width - 1px}) {
        @content;
    }
}


@mixin only-small-desktop {
    @media (min-width: #{$small-desktop-width}) and (max-width: #{$desktop-width - 1px}) {
        @content;
    }
}

@mixin desktop {
    @media (min-width: #{$desktop-width}) {
        @content;
    }
}

@mixin large-desktop {
    @media (min-width: #{$large-desktop-width}) {
        @content;
    }
}
